> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Employees

> Retrieves all employees for the manageable companies of the requesting user



## OpenAPI

````yaml get /api/v2/employees
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/employees:
    get:
      description: >-
        Retrieves all employees for the manageable companies of the requesting
        user
      operationId: ApiV2EmployeeController_getEmployees
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmployeeUserOutputDto'
      security:
        - bearer: []
components:
  schemas:
    EmployeeUserOutputDto:
      type: object
      properties:
        email:
          type: string
        employeeId:
          type: string
        companyId:
          type: string
        personnelNumber:
          type: string
        costCenter:
          type: string
          nullable: true
        groups:
          nullable: true
          type: array
          items:
            type: string
        datePausedStart:
          format: date-time
          type: string
          nullable: true
        datePausedEnd:
          format: date-time
          type: string
          nullable: true
        dateTerminated:
          format: date-time
          type: string
          nullable: true
      required:
        - email
        - employeeId
        - companyId
        - personnelNumber
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````